> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/retrieve-a-list-of-products.md).

# Retrieve a list of products

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/integration/retrieve-a-list-of-products) in the new Integration APIs space of our documentation.
{% endhint %}

This returns a list of catalog products. The catalog products are returned, sorted by creation date, with the most recent catalog products first. The catalog products that have catalogId and GTINs are returned. If no GTINs are set, then all catalog products belonging to the specified catalog are returned.

## GET /catalog-products

> Retrieve a list of products

```json
{"openapi":"3.1.0","info":{"title":"integration","version":"1"},"servers":[{"url":"https://integration-BASE-URL.citrusad.com/v1/"}],"security":[{"sec0":[]}],"components":{"securitySchemes":{"sec0":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/catalog-products":{"get":{"deprecated":false,"description":"","operationId":"retrieve-a-list-of-products","parameters":[{"description":"Maximum 1000","in":"query","name":"limit","schema":{"format":"int32","type":"integer"}},{"in":"query","name":"skip","schema":{"format":"int32","type":"integer"}},{"in":"query","name":"catalogId","required":true,"schema":{"type":"string"}},{"in":"query","name":"gtins","schema":{"items":{"type":"string"},"type":"array"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"catalogProducts":{"items":{"properties":{"catalogId":{"type":"string"},"filters":{"items":{"type":"string"},"type":"array"},"groups":{"items":{"type":"string"},"type":"array"},"gtin":{"type":"string"},"inventory":{"type":"string"},"price":{"type":"string"},"profit":{"type":"string"},"tags":{"items":{"type":"string"},"type":"array"},"teamId":{"type":"string"}},"type":"object"},"type":"array"}},"type":"object"}}},"description":"200"},"400":{"content":{"application/json":{"schema":{"properties":{"additionalInfo":{"items":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"type":"array"},"message":{"type":"string"}},"type":"object"}}},"description":"400"},"401":{"content":{"text/plain":{}},"description":"401"},"403":{"content":{"text/plain":{}},"description":"403"},"404":{"content":{"text/plain":{}},"description":"404"},"429":{"content":{"text/plain":{}},"description":"429"},"500":{"content":{"text/plain":{}},"description":"500"},"502":{"content":{"text/plain":{}},"description":"502"},"503":{"content":{"text/plain":{}},"description":"503"},"504":{"content":{"text/plain":{}},"description":"504"}},"summary":"Retrieve a list of products"}}}}
```
